Bug 199968 - Review Request: xdg-utils - Basic desktop integration functions
Review Request: xdg-utils - Basic desktop integration functions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Laurent Rineau
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-24 13:08 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 07:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-07-24 13:08:39 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/xdg-utils.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/xdg-utils-1.0-0.1.beta1.src.rpm
Description:
The xdg-utils package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.
They are intended to provide a set of defacto standards.
This means that:
*  Third party software developers can rely on these xdg-utils
   for all of their simple integration needs.
*  Developers of desktop environments can make sure that their
   environments are well supported
*  Distribution vendors can provide custom versions of these utilities

The following scripts are provided at this time:
* xdg-menu        Place a menu into the users menu structure
* xdg-mime        Gather mime information about a file
* xdg-open        Open a URL in the user's preferred application that
                  handles the respective URL or file type
* xdg-email       Open the users preferred email client,
                  potentially with subject and other info filled in
* xdg-copy        Copy one URI to another
* xdg-su          Run a command as a different (usually root) user
* xdg-screensaver Enable, disable, or suspend the screensaver
Comment 1 Rex Dieter 2006-07-24 14:29:32 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/xdg-utils.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/xdg-utils-1.0-0.3.20060721.src.rpm

%changelog
* Mon Jul 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.3.20060721
- 20060721 snapshot
- optgnome.patch

* Mon Jul 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.2.beta1
- Requires: desktop-file-utils
Comment 2 Devrim GUNDUZ 2006-07-24 17:38:43 EDT
Hi,

Here a review. Please note that this is not an official review; because I'm not
yet sponsored.

MUST items:
* rpmlint check
 -- rpmlint gives a warning on srpm. You'll need to fix it:
  W: xdg-utils mixed-use-of-spaces-and-tabs
  The specfile mixes use of spaces and tabs for indentation, which is a
  cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

 * Per Naming Guidelines, you should rename the spec to xdg-utils.spec
 * dist tag is not present. You must add it.
 * The package is named according to the Package Naming Guidelines.
 * The package is licensed with an open-source compatible license GPL.
 * This package includes License file LICENSE. 
 * The sources used to build the package matches the upstream source,
   as provided in the spec URL. md5sum is correct  
   fde4bf35fc34c58faa562bfb96103eb5.
 * This package successfully compiled and built into binary rpms for i386
   architecture.
 * This package did not containd any ExcludeArch.
 * This package owns all directories that it creates. 
 * This package did not contain any duplicate files in the %files
   listing.
 * Please use %{name} macro in Source0, and possibly in more places.
 * You must use make %{?smp_flags} instead of make in %build part.
 * This package  have a %clean section, which contains rm -rf
   $RPM_BUILD_ROOT
 * Doc files are present:  ChangeLog LICENSE README TODO
 * Package is not relocatable.
 * The permissions of installed files look correct.
 * There are no .la libtool archives in the package.
 * Source URL is correct.
 * BuildRoot line meets guidelines.
 
Also, I think you should clean up the spec -- it looks messy.

Regards, Devrim
Comment 3 Devrim GUNDUZ 2006-07-24 17:59:34 EDT
Hi again,

Please ignore my comment about the name of the spec file. Sorry.

Regards, Devim
Comment 4 Rex Dieter 2006-07-25 08:03:02 EDT
> Also, I think you should clean up the spec -- it looks messy.

How so?  (It looks clean to me).
Comment 5 Laurent Rineau 2006-07-26 12:59:30 EDT
Here is a review. I have voluntarily not read the previous review.

*MUST: rpmlint output on src.rpm 
is "W: xdg-utils mixed-use-of-spaces-and-tabs"
  There is one TAB in the "Name:" tag.
*SHOULD: Naming and version are ok, but you should add the dist tag to the 
release number.
*OK: spec file name
*MUST: packaging guidelines
  -MUST: do not use %makeinstall, but DESTDIR instead (seems that the 20060721 
tarball supports DESTDIR).
*OK: license ok, license file in doc
*OK: legible spec file. I do not understand either the remark of Devrim in 
comment #3
*OK: upstream sources have same md5sum: fde4bf35fc34c58faa562bfb96103eb5
*OK: noarch package
*OK: no locales
*OK: no shared libraries
*OK: correct %files
*OK: permissions
*OK: %clean section

*SHOULD: maybe add a %check section

Summary:
  Rex, please correct the Name: tag, and the %install stuff, and this package 
will be accepted.
Comment 6 Laurent Rineau 2006-07-26 13:01:51 EDT
Sorry. I go too fast. Revert to FE-REVIEW.
Comment 7 Rex Dieter 2006-07-26 13:13:53 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/xdg-utils.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/xdg-utils-1.0-
0.4.20060721.src.rpm

%changelog
* Wed Jul 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-0.4.20060721
- specfile cosmetics, tabs -> spaces
- %%makeinstall -> make install DESTDIR=...


I'll add a %check section when the test suite actually works. (:
Comment 8 Laurent Rineau 2006-07-26 17:17:16 EDT
Well, this package seems a good candidate for Fedora Extras. FE-ACCEPT.

Forget the %check section. I have eventually tried it, and it seems to be an 
interactive test suite.
Comment 9 Rex Dieter 2006-07-27 07:32:22 EDT
Thanks, importing...

Note You need to log in before you can comment on or make changes to this bug.